%define name gadmin-samba
%define version 0.3.4
%define release %mkrel 1

Summary: GADMIN-SAMBA -- A GTK+ administration tool for the SAMBA server.
Summary(de): GADMIN-SAMBA - ein GTK+ Administration Anwendung für den SAMBA Server 
Name:	 %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:	 Networking/Other
URL:	 http://mange.dynalias.org/linux.html
Source0: http://mange.dynalias.org/linux/%{name}/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#--------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
#--------------------------------
Requires: gtk+2
Requires:  usermode-consoleonly
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes:	%name < %version

%description
GADMIN-SAMBA is a fast and easy to use GTK+ administration tool for the SAMBA server.

#german
%description -l de
GADMIN-SAMBA ist eine schnelle und einfache GTK+ Administration Anwendung für den SAMBA Server.

%prep
%setup -q

%configure2_5x SYSINIT_START_CMD="chkconfig smb on" SYSINIT_STOP_CMD="chkconfig smb off"

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn`

# Pam auth
install -dm 755 %{buildroot}%{_sysconfdir}/pam.d
install -dm 755 %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 etc/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 etc/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# Desktop entry
install -d %{buildroot}%{_datadir}/applications
install -m 644 desktop/gadmin-samba.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
     --remove-category="Application" \
     --remove-category="X-Red-Hat-ServerConfig" \
     --remove-category="X-Red-Hat-Base" \
      --add-category="X-MandrivaLinux-Internet-Other" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# PDF Printer script
install -dm 755 %{buildroot}%{_bindir}
install -m 755 scripts/gadmin-samba-pdf %{buildroot}%{_bindir}

# Logon scripts 
install -dm 755 %{buildroot}/home/netlogon
install -m 755 scripts/example.bat %{buildroot}/home/netlogon


#remove
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
if test ! -h %{_bindir}/gadmin-samba ; then \
ln -s %{_bindir}/consolehelper %{_bindir}/gadmin-samba ; \
fi;
%{update_desktop_database}

%postun
rm -rf /home/netlogon
rm -rf /home/pdf-documents
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_sbindir}/%{name}
/home/netlogon/example.bat
%{_bindir}/gadmin-samba-pdf
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png
/var/lib/samba/netlogon/example.bat

%changelog
* Thu Nov 13 2014 bb <bb> 0.3.4-1pclos2014
- update

* Sun Dec 26 2010 Texstar <texstar at gmail.com> 0.3.1-1pclos2010
- 0.3.1 and patch merged upstream

* Sat Mar 13 2010 slick50 <lxgator@gmail.com> 0.2.9-1pclos2010
- 0.2.9

